--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: plugins don't call this - a Registry::Accessor is created for them and is accessible via @registry.
full_name: Irc::Bot::Registry::Accessor::new
is_singleton: true
name: new
params: (bot, name)
visibility: public
